@echo off
SET BIOS_FILE_NAME=UM30BML07.bin

IF EXIST COMMAND.COM GOTO DOS
ver | find "MS-DOS" > NUL && goto DOS
ver | find "Microsoft Windows" > NUL && goto WIN

:DOS
echo this is DOS
goto EXIT


:WIN
@echo off

cd /d %~dp0
if /i "%PROCESSOR_IDENTIFIER:~0,3%"=="X86" (SET UTILITIES=afuwin.EXE) ELSE SET UTILITIES=AFUWINx64.EXE


@echo ---------------------------------------------------------------
@echo 		Start update BIOS file
@echo ---------------------------------------------------------------

@echo off
IF NOT EXIST %BIOS_FILE_NAME% GOTO BIOSNOTEXIST

@echo on
%UTILITIES% %BIOS_FILE_NAME% /p /b /n /x /r

@echo off
IF %ERRORLEVEL% NEQ 0 goto FAIL


@echo ---------------------------------------------------------------
@echo 		BIOS update complete!
@echo ---------------------------------------------------------------


COLOR A
@echo ---------------------------------------------------------------
@echo -----------EFI BIOS UPDATE SUCCESSFUL!------------------
@echo --------WILL AUTO REBOOT WITHIN 10 SECONDS!--------------------
@echo ---------------------------------------------------------------
shutdown -s -t 5
goto EXIT

:FAIL
COLOR C
@echo -----------------------------------------------
@echo -----------EFI BIOS UPDATE FAIL!!!-------------
@echo ---------Please check directory is OK?---------
@echo -----------------------------------------------
goto EXIT

:BIOSNOTEXIST
COLOR C
@echo -----------------------------------------------
@echo -----------EFI BIOS UPDATE FAIL!!!-------------
@echo ---------Please check BIOS file is exist?------
@echo -----------------------------------------------
goto EXIT


:EXIT
PAUSE